Package org.apache.lucene.util.quantization

## Class ScalarQuantizedRandomVectorScorerSupplier

- java.lang.Object
- - org.apache.lucene.util.quantization.ScalarQuantizedRandomVectorScorerSupplier

- All Implemented Interfaces:
    `RandomVectorScorerSupplier`

      public class ScalarQuantizedRandomVectorScorerSupplier
      extends Object
      implements RandomVectorScorerSupplier

  Quantized vector scorer supplier
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.lucene.util.hnsw.RandomVectorScorerSupplier

      `RandomVectorScorerSupplier.ByteScoringSupplier, RandomVectorScorerSupplier.FloatScoringSupplier`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScalarQuantizedRandomVectorScorerSupplier​(VectorSimilarityFunction similarityFunction, ScalarQuantizer scalarQuantizer, RandomAccessQuantizedByteVectorValues values)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RandomVectorScorerSupplier` | `copy()` | Make a copy of the supplier, which will copy the underlying vectorValues so the copy is safe to be used in other threads.
    `RandomVectorScorer` | `scorer​(int ord)` | This creates a `RandomVectorScorer` for scoring random nodes in batches against the given ordinal.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScalarQuantizedRandomVectorScorerSupplier

          public ScalarQuantizedRandomVectorScorerSupplier​(VectorSimilarityFunction similarityFunction,
                                                           ScalarQuantizer scalarQuantizer,
                                                           RandomAccessQuantizedByteVectorValues values)

  - ### Method Detail

    - #### scorer

          public RandomVectorScorer scorer​(int ord)
                                    throws IOException

      Description copied from interface: `RandomVectorScorerSupplier`
      This creates a `RandomVectorScorer` for scoring random nodes in batches against the given ordinal.
      Specified by:
        `scorer` in interface `RandomVectorScorerSupplier`
      Parameters:
        `ord` - the ordinal of the node to compare
      Returns:
        a new `RandomVectorScorer`
      Throws:
        `IOException`

    - #### copy

          public RandomVectorScorerSupplier copy()
                                          throws IOException

      Description copied from interface: `RandomVectorScorerSupplier`
      Make a copy of the supplier, which will copy the underlying vectorValues so the copy is safe to be used in other threads.
      Specified by:
        `copy` in interface `RandomVectorScorerSupplier`
      Throws:
        `IOException`